Subject: Re: [Patch net-next v2 1/8] net: introduce generic union inet_addr

From: Cong Wang <[email-masked]>
Date: Mon, 05 Aug 2013 11:09:52 +0800

On Fri, 2013-08-02 at 14:50 -0700, David Miller wrote:
> From: Cong Wang <[email-masked]>
> Date: Fri,  2 Aug 2013 15:14:27 +0800
> 
> > From: Cong Wang <[email-masked]>
> > 
> > Introduce a generic IP address type, union inet_addr, so that
> > subsystems don't have to use their own definitions. Because
> > netpoll already defines union inet_addr, just move it to global.
> > Some of the helper functions will be used by VXLAN IPv6 code too.
> > 
> > This patch also reuses the "%pIS" specifier, to make it accept
> > union inet_addr instead of struct sockaddr.
> > 
> > Cc: Daniel Borkmann <[email-masked]>
> > Cc: Joe Perches <[email-masked]>
> > Cc: [email-masked]
> > Signed-off-by: Cong Wang <[email-masked]>
> 
> Changing %pIS to %pIA is pure churn, and of zero value that I can see.

'S' in %pIS is for Sockaddr, since this patch makes it accept union
inet_addr instead of struct sockaddr, I don't think 'S' is meaningful
any more.

> 
> Every time I review this patch set I discover some new thing that I'm
> very disappointed with.

The "%pIS" change exists in v1, I don't know why you think it is new in
v2. Also, if you can point all what you dislike at one time, it would
save time for both of us, I prefer to fix them all in one update.

> 
> You're going to have to stop being so ambitious, and start very small.
> 
> Maybe one tiny patch at a time if needed.

Ok, I will split the %pIS change from this patch.

Thanks!